Description

The new layer groups functionality is great - it's really handy for quickly comparing data. Something that would really round this off would
be keyboard shortcuts for switching layer groups. Perhaps ctrl+shift+1 through to ctrl+shift+9 could be assigned to the first 9 layer
groups?

Assigned to Martin for comment. | can implement this if you think it's a good idea too.

History

#1 - 2014-09-11 09:54 PM - Martin Dobias

No objections from me to add shortcuts :-)

Regarding implementation - groups are currently alphabetically ordered, so adding a new group may shift numbering of existing ones (maybe not a big
deal). Also, the actions are regenerated on the fly when menu is opened (may have some consequences with shortcuts).

Maybe there could be a shortcut for the tool button (to open the menu) and then actions could be named "&1 Group A", "&2 Group B" so they would get

automatic shortcut from the underlined number.

#2 - 2014-09-11 10:35 PM - Nathan Woodrow

+1 with a side of heck yeah for something like this :)

#3 - 2014-10-03 05:44 AM - Martin Dobias
- Assignee deleted (Martin Dobias)

#4 - 2014-10-31 02:28 AM - Wojtek Bisaga

Is it possible to add Ctrl + LMB to collapse/expand all layers functionality, and the same shortcut to show/hide all layers functionality?

There would also be great to have Ctrl + arrow shortcut to rewind to the first/last row/column of the attribute table.

#5 - 2016-10-13 08:09 PM - R. R.

To me, this should work similar to the application switcher (Alt+Tab, Alt+Shift+Tab) in Ubuntu/Unity. The 'Manage Layer Visibility' drop-down menu should

be visible when switching visibility presets using a shortcut (Crtl+Tab?).

#6 - 2016-10-13 08:21 PM - R. R.
See also: #15704 (Duplicate)

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
